# The "n" Package

These routines are meant to provide a simple way of generating random numbers.

Library: karma
Link With: -lkarma

#### Functions

n_gaussian | Compute a random number with Gaussian distribution.
n_uniform | Compute a random number with Uniform distribution.

## Functions

double n_gaussian ()

This routine will compute a random number with a Gaussian distribution. The mean is 0.0 and the variance is 1.0

Parameters:

This function takes no parameters

Returns: The number.
Multithreading Level: Unsafe

double n_uniform ()

This routine will compute a random number with a Uniform distribution. The range is from 0.0 to 1.0

Parameters:

This function takes no parameters

Returns: The number.
Multithreading Level: Unsafe

Back to Karma Home Page